zenilib: BackendFuncs Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
BackendFuncs Struct Reference

`#include <alMain.h>`

## Public Attributes

ALCuint(* | AvailableSamples )(ALCdevice *)
ALCenum(* | CaptureSamples )(ALCdevice *, void *, ALCuint)
void(* | CloseCapture )(ALCdevice *)
void(* | ClosePlayback )(ALCdevice *)
ALint64(* | GetLatency )(ALCdevice *)
void(* | Lock )(ALCdevice *)
ALCenum(* | OpenCapture )(ALCdevice *, const ALCchar *)
ALCenum(* | OpenPlayback )(ALCdevice *, const ALCchar *)
ALCboolean(* | ResetPlayback )(ALCdevice *)
void(* | StartCapture )(ALCdevice *)
ALCboolean(* | StartPlayback )(ALCdevice *)
void(* | StopCapture )(ALCdevice *)
void(* | StopPlayback )(ALCdevice *)
void(* | Unlock )(ALCdevice *)

## Detailed Description

Definition at line 388 of file alMain.h.

## Member Data Documentation

ALCuint(* BackendFuncs::AvailableSamples)(ALCdevice *)

Definition at line 400 of file alMain.h.

ALCenum(* BackendFuncs::CaptureSamples)(ALCdevice *, void *, ALCuint)

Definition at line 399 of file alMain.h.

void(* BackendFuncs::CloseCapture)(ALCdevice *)

Definition at line 396 of file alMain.h.

void(* BackendFuncs::ClosePlayback)(ALCdevice *)

Definition at line 390 of file alMain.h.

ALint64(* BackendFuncs::GetLatency)(ALCdevice *)

Definition at line 405 of file alMain.h.

void(* BackendFuncs::Lock)(ALCdevice *)

Definition at line 402 of file alMain.h.

ALCenum(* BackendFuncs::OpenCapture)(ALCdevice *, const ALCchar *)

Definition at line 395 of file alMain.h.

ALCenum(* BackendFuncs::OpenPlayback)(ALCdevice *, const ALCchar *)

Definition at line 389 of file alMain.h.

ALCboolean(* BackendFuncs::ResetPlayback)(ALCdevice *)

Definition at line 391 of file alMain.h.

void(* BackendFuncs::StartCapture)(ALCdevice *)

Definition at line 397 of file alMain.h.

ALCboolean(* BackendFuncs::StartPlayback)(ALCdevice *)

Definition at line 392 of file alMain.h.

void(* BackendFuncs::StopCapture)(ALCdevice *)

Definition at line 398 of file alMain.h.

void(* BackendFuncs::StopPlayback)(ALCdevice *)

Definition at line 393 of file alMain.h.

void(* BackendFuncs::Unlock)(ALCdevice *)

Definition at line 403 of file alMain.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/openal-soft/OpenAL32/Include/alMain.h